--- ./Minimo.cpp.00	2004-01-31 21:22:51.000000000 -0800
+++ ./Minimo.cpp	2006-02-19 08:52:05.000000000 -0800
@@ -18,6 +18,7 @@
  * Contributors:
  *   Christopher Blizzard <blizzard@mozilla.org>
  *   Doug Turner <dougt@meer.net>  Branched from TestGtkEmbed.cpp
+ *   Gilbert Ashley <amigo@ibiblio.org> compatibility using only GTK-1.2
  */
 
 #include "icons.h"
@@ -371,10 +372,10 @@
 
   // create the url text entry
   browser->urlEntry = gtk_entry_new();
-  g_signal_connect(G_OBJECT(browser->urlEntry), "focus-in-event",
-		   G_CALLBACK(urlEntry_focus_in), browser);
-  g_signal_connect(G_OBJECT(browser->urlEntry), "focus-out-event",
-		   G_CALLBACK(urlEntry_focus_out), browser);
+  gtk_signal_connect(GTK_OBJECT(browser->urlEntry), "focus-in-event",
+		   GTK_SIGNAL_FUNC(urlEntry_focus_in), browser);
+  gtk_signal_connect(GTK_OBJECT(browser->urlEntry), "focus-out-event",
+		   GTK_SIGNAL_FUNC(urlEntry_focus_out), browser);
 
   // add it to the hbox
   gtk_box_pack_start(GTK_BOX(browser->toolbarHBox), browser->urlEntry,
